TraceState.Status (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.tracing

## Enum TraceState.Status

- java.lang.Object
- - java.lang.Enum<TraceState.Status>
  - - org.apache.cassandra.tracing.TraceState.Status

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TraceState.Status>
  Enclosing class:
    TraceState

      public static enum TraceState.Status
      extends java.lang.Enum<TraceState.Status>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVE`
    `IDLE`
    `STOPPED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TraceState.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TraceState.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IDLE

          public static final TraceState.Status IDLE

    - #### ACTIVE

          public static final TraceState.Status ACTIVE

    - #### STOPPED

          public static final TraceState.Status STOPPED

  - ### Method Detail

    - #### values

          public static TraceState.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TraceState.Status c : TraceState.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TraceState.Status valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation